Manifest-Version: 1.0
Bnd-LastModified: 1724326679915
Bundle-ClassPath: .,lib/handy-uri-templates-2.1.7.jar,lib/org.everit.j
 son.schema-1.11.1.jar,lib/re2j-1.2.jar,lib/joda-time-2.9.1.jar,lib/jo
 da-convert-2.2.1.jar,lib/json-20220320.jar
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Search Experiences Service
Bundle-SymbolicName: com.liferay.search.experiences.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 3.0.26.hotfix-5787-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.faste
 rxml.jackson.core,com.fasterxml.jackson.databind,com.fasterxml.jackso
 n.databind.module,com.liferay.asset.kernel;version="2.0",com.liferay.
 asset.kernel.model;version="9.1",com.liferay.asset.kernel.service;ver
 sion="8.0",com.liferay.blogs.model;version="7.0",com.liferay.counter.
 kernel.service;version="2.1",com.liferay.dynamic.data.mapping.model;v
 ersion="6.4",com.liferay.dynamic.data.mapping.storage;version="2.0",c
 om.liferay.expando.kernel.model;version="5.1",com.liferay.expando.ker
 nel.service;version="1.8",com.liferay.expando.kernel.service.permissi
 on;version="1.0",com.liferay.expando.kernel.util;version="4.0",com.li
 feray.exportimport.kernel.lar;version="4.3",com.liferay.journal.model
 ;version="10.0",com.liferay.knowledge.base.model;version="4.2",com.li
 feray.message.boards.model;version="10.0",com.liferay.osgi.service.tr
 acker.collections.map;version="2.2",com.liferay.petra.function;versio
 n="1.5",com.liferay.petra.io;version="1.3",com.liferay.petra.lang;ver
 sion="1.3",com.liferay.petra.reflect;version="1.5",com.liferay.petra.
 sql.dsl;version="1.1",com.liferay.petra.sql.dsl.query;version="2.0",c
 om.liferay.petra.string;version="1.7",com.liferay.portal.aop;version=
 "1.0",com.liferay.portal.configuration.metatype.annotations;version="
 1.5",com.liferay.portal.configuration.metatype.bnd.util;version="3.0"
 ,com.liferay.portal.kernel.bean;version="10.1",com.liferay.portal.ker
 nel.change.tracking;version="2.2",com.liferay.portal.kernel.configura
 tion;version="7.0",com.liferay.portal.kernel.dao.db;version="10.1",co
 m.liferay.portal.kernel.dao.jdbc;version="9.0",com.liferay.portal.ker
 nel.dao.orm;version="12.0",com.liferay.portal.kernel.exception;versio
 n="13.0",com.liferay.portal.kernel.json;version="11.0",com.liferay.po
 rtal.kernel.language;version="11.0",com.liferay.portal.kernel.log;ver
 sion="7.1",com.liferay.portal.kernel.model;version="27.0",com.liferay
 .portal.kernel.model.impl;version="7.2",com.liferay.portal.kernel.mod
 ule.configuration;version="2.1",com.liferay.portal.kernel.module.fram
 ework.service;version="1.0",com.liferay.portal.kernel.portlet;version
 ="21.0",com.liferay.portal.kernel.portlet.url.builder;version="1.1",c
 om.liferay.portal.kernel.sanitizer;version="8.0",com.liferay.portal.k
 ernel.search;version="19.0",com.liferay.portal.kernel.security.auth;v
 ersion="5.1",com.liferay.portal.kernel.security.permission;version="6
 .2",com.liferay.portal.kernel.security.permission.resource;version="2
 .1",com.liferay.portal.kernel.service;version="19.0",com.liferay.port
 al.kernel.service.http;version="1.0",com.liferay.portal.kernel.servic
 e.persistence;version="17.0",com.liferay.portal.kernel.service.persis
 tence.impl;version="4.1",com.liferay.portal.kernel.systemevent;versio
 n="6.2",com.liferay.portal.kernel.theme;version="10.1",com.liferay.po
 rtal.kernel.transaction;version="8.1",com.liferay.portal.kernel.upgra
 de;version="19.0",com.liferay.portal.kernel.util;version="49.1",com.l
 iferay.portal.kernel.uuid;version="6.2",com.liferay.portal.kernel.web
 cache;version="6.2",com.liferay.portal.kernel.workflow;version="18.1"
 ,com.liferay.portal.profile,com.liferay.portal.search.aggregation;ver
 sion="1.0",com.liferay.portal.search.aggregation.bucket;version="1.1"
 ,com.liferay.portal.search.aggregation.metrics;version="1.0",com.life
 ray.portal.search.aggregation.pipeline;version="1.0",com.liferay.port
 al.search.batch;version="2.0",com.liferay.portal.search.document;vers
 ion="1.2",com.liferay.portal.search.filter;version="1.4",com.liferay.
 portal.search.geolocation;version="1.1",com.liferay.portal.search.hig
 hlight;version="1.1",com.liferay.portal.search.hits;version="1.1",com
 .liferay.portal.search.query;version="1.7",com.liferay.portal.search.
 rescore;version="1.1",com.liferay.portal.search.rest.dto.v1_0;version
 ="1.0",com.liferay.portal.search.script;version="1.0",com.liferay.por
 tal.search.searcher;version="1.11",com.liferay.portal.search.signific
 ance;version="1.0",com.liferay.portal.search.sort;version="2.0",com.l
 iferay.portal.search.spi.model.index.contributor;version="1.1",com.li
 feray.portal.search.spi.model.index.contributor.helper;version="1.0",
 com.liferay.portal.search.spi.model.query.contributor;version="1.1",c
 om.liferay.portal.search.spi.model.query.contributor.helper;version="
 1.1",com.liferay.portal.search.spi.model.registrar;version="2.0",com.
 liferay.portal.search.spi.model.registrar.contributor;version="1.0",c
 om.liferay.portal.search.spi.model.result.contributor;version="1.1",c
 om.liferay.portal.search.spi.searcher;version="1.0",com.liferay.porta
 l.search.spi.suggestions;version="1.0",com.liferay.portal.search.sugg
 estions;version="1.0",com.liferay.portal.upgrade.registry;version="5.
 0",com.liferay.portal.util;version="38.1",com.liferay.portal.verify,c
 om.liferay.portal.vulcan.dto.converter;version="3.3",com.liferay.port
 al.vulcan.util;version="9.0",com.liferay.portlet.expando.model.impl;v
 ersion="3.0",com.liferay.search.experiences.blueprint.exception;versi
 on="2.0",com.liferay.search.experiences.blueprint.parameter;version="
 1.0",com.liferay.search.experiences.blueprint.parameter.contributor;v
 ersion="2.0",com.liferay.search.experiences.blueprint.search.request.
 enhancer;version="1.0",com.liferay.search.experiences.configuration;v
 ersion="6.0",com.liferay.search.experiences.exception;version="3.0",c
 om.liferay.search.experiences.ml.sentence.embedding;version="2.0",com
 .liferay.search.experiences.model;version="7.1",com.liferay.search.ex
 periences.rest.dto.v1_0;version="2.2",com.liferay.search.experiences.
 rest.dto.v1_0.util;version="1.0",com.liferay.search.experiences.servi
 ce;version="6.0",com.liferay.search.experiences.service.persistence;v
 ersion="2.0",com.liferay.search.experiences.validator;version="2.0",c
 om.liferay.segments;version="1.1",com.liferay.segments.context;versio
 n="2.0",com.liferay.wiki.model;version="5.0",javax.portlet,javax.sql,
 org.apache.commons.lang;version="2.6",org.apache.commons.validator.ro
 utines,org.osgi.framework;version="1.8",org.osgi.service.component
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Enterprise-App: dxp.only=true;product.id=22b7e30f-34d4-4a63-96
 96-56987ad66e4e
Liferay-Releng-App-Description: %liferay-releng-app-description
Liferay-Releng-App-Title: Liferay Enterprise Search Experiences
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 1.3.1
Liferay-Service: true
Private-Package: com.liferay.search.experiences.internal.blueprint.agg
 regation,com.liferay.search.experiences.internal.blueprint.condition,
 com.liferay.search.experiences.internal.blueprint.highlight,com.lifer
 ay.search.experiences.internal.blueprint.parameter,com.liferay.search
 .experiences.internal.blueprint.parameter.contributor,com.liferay.sea
 rch.experiences.internal.blueprint.property,com.liferay.search.experi
 ences.internal.blueprint.query,com.liferay.search.experiences.interna
 l.blueprint.script,com.liferay.search.experiences.internal.blueprint.
 search.request.body.contributor,com.liferay.search.experiences.intern
 al.blueprint.search.request.enhancer,com.liferay.search.experiences.i
 nternal.blueprint.search.spi.searcher,com.liferay.search.experiences.
 internal.blueprint.workflow,com.liferay.search.experiences.internal.c
 onfiguration,com.liferay.search.experiences.internal.ml.sentence.embe
 dding,com.liferay.search.experiences.internal.model.listener,com.life
 ray.search.experiences.internal.model.listener.dependencies,com.lifer
 ay.search.experiences.internal.search,com.liferay.search.experiences.
 internal.search.spi.model.index.contributor,com.liferay.search.experi
 ences.internal.search.spi.model.query.contributor,com.liferay.search.
 experiences.internal.search.spi.model.result.contributor,com.liferay.
 search.experiences.internal.security.permission,com.liferay.search.ex
 periences.internal.security.permission.resource,com.liferay.search.ex
 periences.internal.suggestions.spi,com.liferay.search.experiences.int
 ernal.upgrade.registry,com.liferay.search.experiences.internal.upgrad
 e.v1_3_0,com.liferay.search.experiences.internal.upgrade.v1_3_1,com.l
 iferay.search.experiences.internal.upgrade.v1_3_1.dependencies,com.li
 feray.search.experiences.internal.util,com.liferay.search.experiences
 .internal.validator,com.liferay.search.experiences.internal.verify,co
 m.liferay.search.experiences.internal.web.cache,com.liferay.search.ex
 periences.model.impl,com.liferay.search.experiences.service.base,com.
 liferay.search.experiences.service.http,com.liferay.search.experience
 s.service.impl,com.liferay.search.experiences.service.persistence.imp
 l,com.liferay.search.experiences.service.persistence.impl.constants,l
 ib,resource-actions,com.damnhandy.uri.template,com.damnhandy.uri.temp
 late.impl,com.damnhandy.uri.template.jackson.datatype,org.everit.json
 .schema,org.everit.json.schema.event,org.everit.json.schema.internal,
 org.everit.json.schema.loader,org.everit.json.schema.loader.internal,
 org.everit.json.schema.regexp,com.google.re2j,org.joda.time,org.joda.
 time.base,org.joda.time.chrono,org.joda.time.convert,org.joda.time.fi
 eld,org.joda.time.format,org.joda.time.tz,org.joda.time.tz.data.Afric
 a,org.joda.time.tz.data.America,org.joda.time.tz.data.America.Argenti
 na,org.joda.time.tz.data.America.Indiana,org.joda.time.tz.data.Americ
 a.Kentucky,org.joda.time.tz.data.America.North_Dakota,org.joda.time.t
 z.data.Antarctica,org.joda.time.tz.data.Arctic,org.joda.time.tz.data.
 Asia,org.joda.time.tz.data.Atlantic,org.joda.time.tz.data.Australia,o
 rg.joda.time.tz.data,org.joda.time.tz.data.Etc,org.joda.time.tz.data.
 Europe,org.joda.time.tz.data.Indian,org.joda.time.tz.data.Pacific,org
 .joda.convert,org.joda.convert.factory,org.json,com.liferay.search.ex
 periences.service.internal.portal.profile
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.aop.AopService";uses:="com.liferay.portal.aop",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.kernel.dao.orm.ArgumentsR
 esolver";uses:="com.liferay.portal.kernel.dao.orm",osgi.service;objec
 tClass:List<String>="com.liferay.portal.kernel.model.ModelListener,co
 m.liferay.search.experiences.internal.model.listener.CompanyModelList
 ener";uses:="com.liferay.portal.kernel.model,com.liferay.search.exper
 iences.internal.model.listener",osgi.service;objectClass:List<String>
 ="com.liferay.portal.kernel.security.permission.PermissionUpdateHandl
 er";uses:="com.liferay.portal.kernel.security.permission",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.kernel.security.permis
 sion.resource.ModelResourcePermission";uses:="com.liferay.portal.kern
 el.security.permission.resource",osgi.service;objectClass:List<String
 >="com.liferay.portal.kernel.security.permission.resource.PortletReso
 urcePermission";uses:="com.liferay.portal.kernel.security.permission.
 resource",osgi.service;objectClass:List<String>="com.liferay.portal.k
 ernel.workflow.WorkflowHandler";uses:="com.liferay.portal.kernel.work
 flow",osgi.service;objectClass:List<String>="com.liferay.portal.searc
 h.spi.model.index.contributor.ModelDocumentContributor";uses:="com.li
 feray.portal.search.spi.model.index.contributor",osgi.service;objectC
 lass:List<String>="com.liferay.portal.search.spi.model.index.contribu
 tor.ModelIndexerWriterContributor";uses:="com.liferay.portal.search.s
 pi.model.index.contributor",osgi.service;objectClass:List<String>="co
 m.liferay.portal.search.spi.model.query.contributor.KeywordQueryContr
 ibutor";uses:="com.liferay.portal.search.spi.model.query.contributor"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.search.spi
 .model.result.contributor.ModelSummaryContributor";uses:="com.liferay
 .portal.search.spi.model.result.contributor",osgi.service;objectClass
 :List<String>="com.liferay.portal.search.spi.searcher.SearchRequestCo
 ntributor";uses:="com.liferay.portal.search.spi.searcher",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.search.spi.suggestions
 .SuggestionsContributor";uses:="com.liferay.portal.search.spi.suggest
 ions",osgi.service;objectClass:List<String>="com.liferay.portal.upgra
 de.registry.UpgradeStepRegistrator";uses:="com.liferay.portal.upgrade
 .registry",osgi.service;objectClass:List<String>="com.liferay.portal.
 verify.VerifyProcess";uses:="com.liferay.portal.verify",osgi.service;
 objectClass:List<String>="com.liferay.search.experiences.blueprint.pa
 rameter.contributor.SXPParameterContributorDefinitionProvider,com.lif
 eray.search.experiences.internal.blueprint.parameter.SXPParameterData
 Creator";uses:="com.liferay.search.experiences.blueprint.parameter.co
 ntributor,com.liferay.search.experiences.internal.blueprint.parameter
 ",osgi.service;objectClass:List<String>="com.liferay.search.experienc
 es.blueprint.search.request.enhancer.SXPBlueprintSearchRequestEnhance
 r";uses:="com.liferay.search.experiences.blueprint.search.request.enh
 ancer",osgi.service;objectClass:List<String>="com.liferay.search.expe
 riences.internal.ml.sentence.embedding.SentenceTransformer";uses:="co
 m.liferay.search.experiences.internal.ml.sentence.embedding",osgi.ser
 vice;objectClass:List<String>="com.liferay.search.experiences.interna
 l.search.SXPBlueprintSearchRegistrar";uses:="com.liferay.search.exper
 iences.internal.search",osgi.service;objectClass:List<String>="com.li
 feray.search.experiences.internal.search.SXPElementSearchRegistrar";u
 ses:="com.liferay.search.experiences.internal.search",osgi.service;ob
 jectClass:List<String>="com.liferay.search.experiences.ml.sentence.em
 bedding.SentenceEmbeddingRetriever";uses:="com.liferay.search.experie
 nces.ml.sentence.embedding",osgi.service;objectClass:List<String>="co
 m.liferay.search.experiences.service.persistence.SXPBlueprintPersiste
 nce";uses:="com.liferay.search.experiences.service.persistence",osgi.
 service;objectClass:List<String>="com.liferay.search.experiences.serv
 ice.persistence.SXPElementPersistence";uses:="com.liferay.search.expe
 riences.service.persistence",osgi.service;objectClass:List<String>="c
 om.liferay.search.experiences.validator.SXPBlueprintValidator";uses:=
 "com.liferay.search.experiences.validator",osgi.service;objectClass:L
 ist<String>="com.liferay.search.experiences.validator.SXPElementValid
 ator";uses:="com.liferay.search.experiences.validator",osgi.service;o
 bjectClass:List<String>="com.liferay.search.experiences.service.SXPBl
 ueprintLocalService",osgi.service;objectClass:List<String>="com.lifer
 ay.search.experiences.service.SXPBlueprintService",osgi.service;objec
 tClass:List<String>="com.liferay.search.experiences.service.SXPElemen
 tLocalService",osgi.service;objectClass:List<String>="com.liferay.sea
 rch.experiences.service.SXPElementService",osgi.service;objectClass:L
 ist<String>="com.liferay.portal.profile.PortalProfile";uses:="com.lif
 eray.portal.profile"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.ass
 et.kernel.service.AssetCategoryLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.asset.kernel.service.AssetE
 ntryLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.asset.kernel.service.AssetTagLocalService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.counter.kernel
 .service.CounterLocalService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.expando.kernel.service.ExpandoColumnLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.expando.kernel.service.ExpandoValueLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.conf
 iguration.Configuration)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.dao.orm.EntityCache)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.d
 ao.orm.FinderCache)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.kernel.dao.orm.SessionFactory)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.jso
 n.JSONFactory)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.kernel.language.Language)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.module.config
 uration.ConfigurationProvider)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.security.permission.resourc
 e.ModelResourcePermission)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.security.permission.resource.Po
 rtletResourcePermission)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.service.CompanyLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.service.GroupLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.service.LayoutLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.kernel.service.ResourceLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.service.RoleL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.service.UserGroupGroupRoleLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.service.UserGroupLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.kernel.service.UserGroupRole
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.service.UserLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service
 .WorkflowInstanceLinkLocalService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.kernel.util.Http)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.u
 til.Localization)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.util.Portal)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.uuid.PortalUUID)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.search.aggregation.Aggregations)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.search.batch.DynamicQueryBa
 tchIndexingActionableFactory)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.search.filter.ComplexQueryPartBuild
 erFactory)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.search.geolocation.GeoBuilders)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.search.highlight.F
 ieldConfigBuilderFactory)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.search.highlight.HighlightBuilderFactor
 y)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.search.query.Queries)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.search.query.QueryHelper)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.search
 .rescore.RescoreBuilderFactory)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.search.script.Scripts)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.search
 .searcher.SearchRequestBuilderFactory)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.search.searcher.Searcher)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.search.significance.SignificanceHeuristics)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.search.sort.Sorts
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.search.spi.model.index.contributor.ModelIndexerWriterContributo
 r)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.search.spi.model.registrar.ModelSearchRegistrarHelper)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.sea
 rch.spi.model.result.contributor.ModelSummaryContributor)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.search.
 suggestions.SuggestionBuilderFactory)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.search.suggestions.Suggesti
 onsContributorResultsBuilderFactory)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.vulcan.dto.converter.DTOConv
 erterRegistry)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.search.experiences.blueprint.search.request.enhancer.SXPB
 lueprintSearchRequestEnhancer)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.search.experiences.internal.blueprint.par
 ameter.SXPParameterDataCreator)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.search.experiences.internal.model.listen
 er.CompanyModelListener)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.search.experiences.ml.sentence.embedding.Senten
 ceEmbeddingRetriever)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.search.experiences.service.SXPBlueprintLocalServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 search.experiences.service.SXPElementLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.search.experiences.se
 rvice.persistence.SXPBlueprintPersistence)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.search.experiences.service.pe
 rsistence.SXPElementPersistence)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.search.experiences.validator.SXPBluepri
 ntValidator)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.search.experiences.validator.SXPElementValidator)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.segments.Seg
 mentsEntryRetriever)";effective:=active,osgi.service;filter:="(object
 Class=javax.sql.DataSource)";effective:=active,osgi.extender;filter:=
 "(&(osgi.extender=osgi.component)(version>=1.4.0)(!(version>=2.0.0)))
 ",osgi.contract;osgi.contract=JavaPortlet;filter:="(&(osgi.contract=J
 avaPortlet)(version=3.0.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(vers
 ion=1.8))"
Service-Component: OSGI-INF/com.liferay.search.experiences.internal.bl
 ueprint.parameter.SXPParameterDataCreator.xml,OSGI-INF/com.liferay.se
 arch.experiences.internal.blueprint.search.request.enhancer.SXPBluepr
 intSearchRequestEnhancerImpl.xml,OSGI-INF/com.liferay.search.experien
 ces.internal.blueprint.search.spi.searcher.SXPBlueprintSearchRequestC
 ontributor.xml,OSGI-INF/com.liferay.search.experiences.internal.bluep
 rint.workflow.SXPBlueprintWorkflowHandler.xml,OSGI-INF/com.liferay.se
 arch.experiences.internal.ml.sentence.embedding.HuggingFaceInferenceA
 PISentenceTransformer.xml,OSGI-INF/com.liferay.search.experiences.int
 ernal.ml.sentence.embedding.SentenceEmbeddingRetrieverImpl.xml,OSGI-I
 NF/com.liferay.search.experiences.internal.ml.sentence.embedding.TXTA
 ISentenceTransformer.xml,OSGI-INF/com.liferay.search.experiences.inte
 rnal.model.listener.CompanyModelListener.xml,OSGI-INF/com.liferay.sea
 rch.experiences.internal.search.SXPBlueprintSearchRegistrar.xml,OSGI-
 INF/com.liferay.search.experiences.internal.search.SXPElementSearchRe
 gistrar.xml,OSGI-INF/com.liferay.search.experiences.internal.search.s
 pi.model.index.contributor.BlogsEntrySentenceEmbeddingModelDocumentCo
 ntributor.xml,OSGI-INF/com.liferay.search.experiences.internal.search
 .spi.model.index.contributor.JournalArticleSentenceEmbeddingModelDocu
 mentContributor.xml,OSGI-INF/com.liferay.search.experiences.internal.
 search.spi.model.index.contributor.KBArticleSentenceEmbeddingModelDoc
 umentContributor.xml,OSGI-INF/com.liferay.search.experiences.internal
 .search.spi.model.index.contributor.MBMessageSentenceEmbeddingModelDo
 cumentContributor.xml,OSGI-INF/com.liferay.search.experiences.interna
 l.search.spi.model.index.contributor.SXPBlueprintModelDocumentContrib
 utor.xml,OSGI-INF/com.liferay.search.experiences.internal.search.spi.
 model.index.contributor.SXPBlueprintModelIndexerWriterContributor.xml
 ,OSGI-INF/com.liferay.search.experiences.internal.search.spi.model.in
 dex.contributor.SXPElementModelDocumentContributor.xml,OSGI-INF/com.l
 iferay.search.experiences.internal.search.spi.model.index.contributor
 .SXPElementModelIndexerWriterContributor.xml,OSGI-INF/com.liferay.sea
 rch.experiences.internal.search.spi.model.index.contributor.WikiPageS
 entenceEmbeddingModelDocumentContributor.xml,OSGI-INF/com.liferay.sea
 rch.experiences.internal.search.spi.model.query.contributor.SXPBluepr
 intKeywordQueryContributor.xml,OSGI-INF/com.liferay.search.experience
 s.internal.search.spi.model.query.contributor.SXPElementKeywordQueryC
 ontributor.xml,OSGI-INF/com.liferay.search.experiences.internal.searc
 h.spi.model.result.contributor.SXPBlueprintModelSummaryContributor.xm
 l,OSGI-INF/com.liferay.search.experiences.internal.search.spi.model.r
 esult.contributor.SXPElementModelSummaryContributor.xml,OSGI-INF/com.
 liferay.search.experiences.internal.security.permission.SXPBlueprintP
 ermissionUpdateHandler.xml,OSGI-INF/com.liferay.search.experiences.in
 ternal.security.permission.SXPElementPermissionUpdateHandler.xml,OSGI
 -INF/com.liferay.search.experiences.internal.security.permission.reso
 urce.SXPBlueprintAdminPortletResourcePermissionWrapper.xml,OSGI-INF/c
 om.liferay.search.experiences.internal.security.permission.resource.S
 XPBlueprintModelResourcePermission.xml,OSGI-INF/com.liferay.search.ex
 periences.internal.security.permission.resource.SXPElementModelResour
 cePermission.xml,OSGI-INF/com.liferay.search.experiences.internal.sug
 gestions.spi.AsahRecentSearchKeywordsSuggestionsContributor.xml,OSGI-
 INF/com.liferay.search.experiences.internal.suggestions.spi.AsahTopKe
 ywordsSuggestionsContributor.xml,OSGI-INF/com.liferay.search.experien
 ces.internal.suggestions.spi.SXPBlueprintSuggestionsContributor.xml,O
 SGI-INF/com.liferay.search.experiences.internal.upgrade.registry.SXPS
 erviceUpgradeStepRegistrator.xml,OSGI-INF/com.liferay.search.experien
 ces.internal.validator.SXPBlueprintValidatorImpl.xml,OSGI-INF/com.lif
 eray.search.experiences.internal.validator.SXPElementValidatorImpl.xm
 l,OSGI-INF/com.liferay.search.experiences.internal.verify.SXPServiceV
 erifyProcess.xml,OSGI-INF/com.liferay.search.experiences.service.impl
 .SXPBlueprintLocalServiceImpl.xml,OSGI-INF/com.liferay.search.experie
 nces.service.impl.SXPBlueprintServiceImpl.xml,OSGI-INF/com.liferay.se
 arch.experiences.service.impl.SXPElementLocalServiceImpl.xml,OSGI-INF
 /com.liferay.search.experiences.service.impl.SXPElementServiceImpl.xm
 l,OSGI-INF/com.liferay.search.experiences.service.persistence.impl.SX
 PBlueprintModelArgumentsResolver.xml,OSGI-INF/com.liferay.search.expe
 riences.service.persistence.impl.SXPBlueprintPersistenceImpl.xml,OSGI
 -INF/com.liferay.search.experiences.service.persistence.impl.SXPEleme
 ntModelArgumentsResolver.xml,OSGI-INF/com.liferay.search.experiences.
 service.persistence.impl.SXPElementPersistenceImpl.xml,OSGI-INF/com.l
 iferay.search.experiences.service.internal.portal.profile.ModulePorta
 lProfile.xml
Tool: Bnd-4.3.0.201909301554

